[script]
n0=:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
n1=:::::               XcLusive Script                       :::::
n2=:::::               Bütün Kodlar Kendime Aittir           :::::
n3=:::::               Coded By HaLiL                        :::::
n4=:::::               HaLiL@AhKalbim.Net                    :::::
n5=:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
n6=alias daway dialog -m daway daway 
n7=dialog daway {
n8=  title "XcLusive Script"
n9=  size -1 -1 201 115
n10=  option dbu
n11=  icon $mircdirikon\4.ico, 0
n12=  box "XcLusive Script Away Menüsü", 1, 3 3 195 92
n13=  text "Away Mesajı", 2, 8 14 45 8
n14=  edit "", 3, 53 13 140 10, autohs
n15=  radio "", 4, 10 30 7 8
n16=  text "Away Konumuna Geç", 5, 20 30 76 8
n17=  text "Away Konumundan Çık", 6, 110 30 80 8
n18=  radio "", 7, 100 30 7 8
n19=  check "", 8, 10 43 7 8
n20=  text "Away Mesajımı Bütün Kanallara Göster", 9, 20 43 145 8
n21=  check "", 10, 10 56 7 8
n22=  text "Away Olduğumda Nick'e Ekle", 11, 20 56 95 8
n23=  edit "", 12, 119 55 74 10, autohs
n24=  check "", 13, 10 69 7 8
n25=  text "Pc Başında Değilsem", 14, 20 69 69 8
n26=  edit "", 15, 90 68 27 10, autohs center
n27=  text "Dk. Sonra Away oL", 16, 120 69 74 8
n28=  check "", 17, 10 82 7 8
n29=  text "Away Olduğumda Gelen Mesajları Kaydet", 18, 20 82 154 8
n30=  button "KAPAT", 19, 83 98 40 15, flat cancel
n31=}
n32=
n33=on 1:dialog:daway:*:*:{
n34=  if $devent == init {
n35=    idset 19
n36=    if %awaygoster == on did -c $dname 8
n37=    if %awayek == on did -c $dname 10
n38=    if %pckontrol == on did -c $dname 13
n39=    if %awaylog == on did -c $dname 17
n40=    if %aways == on did -c $dname 4
n41=    else did -c $dname 7
n42=    did -a $dname 3 %awaymsg
n43=    did -a $dname 12 %awayek2
n44=    did -a $dname 15 %pcawaytime
n45=  }
n46=  if $devent == edit {
n47=    if $did == 3 { set %awaymsg $did(3).text }
n48=    if $did == 12 { set %awayek2 $did(12).text }
n49=    if $did == 15 { if ($did(15).text !isalpha) { set %pcawaytime $did(15).text }
n50=    }
n51=  }
n52=  if $devent == sclick {
n53=    if $did == 8 {
n54=      if %awaygoster == on { set %awaygoster off | halt }
n55=      else { set %awaygoster on }
n56=    }
n57=    if $did == 10 {
n58=      if %awayek == on { set %awayek off | halt }
n59=      else { set %awayek on }
n60=    }
n61=    if $did == 13 {
n62=      if %pckontrol == on { set %pckontrol off | .timeraw off | halt }
n63=      else { set %pckontrol on | aw1 }
n64=    }
n65=    if $did == 17 {
n66=      if %awaylog == on { set %awaylog off | halt }
n67=      else { set %awaylog on }
n68=    }
n69=    if $did == 4 { awayol }
n70=    if $did == 7 { awayolma }
n71=  }
n72=}
n73=alias awayol {
n74=  if (!$server) { $err0r(Hata!,Sunucuya Bağlı Değilsiniz) | halt }
n75=  .enable #daway
n76=  if %aways == on { $iif($input(Away Konumundasınız 2. Kez Away Olamazsınız!,owda,Away Ayarları),halt,halt) }
n77=  set %aways on
n78=  set %awayzaman $ctime
n79=  if %awaygoster == on ame Awayım: %awaymsg - Kayıt: $replace(%awaylog,off,Kapalı,on,Açık) %logo
n80=  away %awaymsg
n81=  set %awaynick $me
n82=  if %awayek == on nick $me $+ %awayek2
n83=}
n84=alias awayolma {
n85=  if (!$server) { $err0r(Hata!,Sunucuya Bağlı Değilsiniz) | halt }
n86=  .disable #daway
n87=  if %aways == off { $iif($input(Away Konumu Saten Kapalı!,owda,Away Ayarları),halt,halt) }
n88=  set %aways off
n89=  away
n90=  if %awaygoster == on ame Awaydan Geri Döndüm - Away Sürem: $replace($duration($calc($ctime - %awayzaman)),secs,Saniye,sec,Saniye,mins,Dakika,min,Dakika,hrs,Saat,day,Gün,wk,Hafta) %logo
n91=  ;$duration() %logo
n92=  nick %awaynick
n93=  unset %damsg.*
n94=}
n95=#daway off
n96=on 1:text:*:?:{
n97=  if %damsg. [ $+ [ $nick ] ] == 1 { goto end }
n98=  if (serv isin $nick) || (global isin $nick) { goto end }
n99=  .msg $nick $nick $+ : Şuanda Awayım Lütfen Daha Sonra Yazınız
n100=  .msg $nick $nick $+ : Away Sebebim: %awaymsg
n101=  .msg $nick $nick $+ : Eğer Bir Notunuz Varsa Yazınız Yazdıklarınız Kayıt Ediliyor...
n102=  .msg $nick $nick $+ : %logourl
n103=  set %damsg. [ $+ [ $nick ] ] 1
n104=  :end
n105=}
n106=on 1:action:*:?:{
n107=  if %damsg. [ $+ [ $nick ] ] == 1 { goto end }
n108=  if (serv isin $nick) || (global isin $nick) { goto end }
n109=  .msg $nick $nick $+ : Şuanda Awayım Lütfen Daha Sonra Yazınız
n110=  .msg $nick $nick $+ : Away Sebebim: %awaymsg
n111=  .msg $nick $nick $+ : Eğer Bir Notunuz Varsa Yazınız Yazdıklarınız Kayıt Ediliyor...
n112=  .msg $nick $nick $+ : %logourl
n113=  set %damsg. [ $+ [ $nick ] ] 1
n114=  :end
n115=}
n116=on 1:notice:*:?:{
n117=  if %damsg. [ $+ [ $nick ] ] == 1 { goto end }
n118=  if (serv isin $nick) || (global isin $nick) { goto end }
n119=  .msg $nick $nick $+ : Şuanda Awayım Lütfen Daha Sonra Yazınız
n120=  .msg $nick $nick $+ : Away Sebebim: %awaymsg
n121=  .msg $nick $nick $+ : Eğer Bir Notunuz Varsa Yazınız Yazdıklarınız Kayıt Ediliyor...
n122=  .msg $nick $nick $+ : %logourl
n123=  set %damsg. [ $+ [ $nick ] ] 1
n124=  :end
n125=  closemsg $nick
n126=}
n127=on 1:close:?:{
n128=  if %awaylog == off halt
n129=  log off $target
n130=}
n131=on 1:open:?:{
n132=  if %awaylog == off halt
n133=  log on $nick
n134=}
n135=#daway end
